## transmission-remote-gtk 1.1.1

=== freebsd/Makefile ===
# New ports collection makefile for:	transmission-remote-gtk
# Date created:			22 February 2011
# Whom:				J.D. Morris <jdm720@gmail.com>
#
# $FreeBSD$
#

PORTNAME=	transmission-remote-gtk
PORTVERSION=	0.5
CATEGORIES=	net-p2p
MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}

MAINTAINER=	jdm720@gmail.com
COMMENT=	GTK app for remote management of Transmission via RPC

LIB_DEPENDS=	json-glib-1.0:${PORTSDIR}/devel/json-glib \
		notify.1:${PORTSDIR}/devel/libnotify \
		unique-1.0.2:${PORTSDIR}/x11-toolkits/unique \
		curl.6:${PORTSDIR}/ftp/curl

RUN_DEPENDS=	notification-daemon:${PORTSDIR}/deskutils/notification-daemon

USE_GNOME=		glib20 gtk20 gconf2
GNU_CONFIGURE=		yes
INSTALLS_ICONS=		yes
GCONF_SCHEMAS=		transmission-remote-gtk.schemas

.include <bsd.port.pre.mk>

.include <bsd.port.post.mk>

=== debian/changelog ===
transmission-remote-gtk (1.1.1-3) unstable; urgency=high

  * Fix possible GPL violation by removing libappindicator support
    (closes: #825859, #810103).

 -- Benjamin Barenblat <bbaren@mit.edu>  Mon, 30 May 2016 17:03:25 -0400

transmission-remote-gtk (1.1.1-2) unstable; urgency=low

  * Update Standards-Version.
  * Update Vcs-* URLs.
  * Enable verbose builds so the build log checker can check it.
  * Import upstream patch to have 'make test' work again.
  * Import upstream patch to add keywords to .desktop file (fixes a
    Lintian warning).
  * Use base-files’ copy of the GPL in the about box (closes: #791553).

 -- Benjamin Barenblat <bbaren@mit.edu>  Mon, 23 Nov 2015 09:14:07 -0500

transmission-remote-gtk (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #630789).  Upstream ships a debian
    directory; I’ve replaced it with my own.

 -- Benjamin Barenblat <bbaren@mit.edu>  Sun, 14 Jul 2013 17:18:53 -0700

=== debian/control ===
Source: transmission-remote-gtk
Section: net
Priority: optional
Maintainer: Benjamin Barenblat <bbaren@mit.edu>
Build-Depends:
 debhelper (>= 9.0.0),
 dh-autoreconf,
 intltool (>= 0.35.0),
 libcurl4-gnutls-dev | libcurl-ssl-dev,
 libjson-glib-dev (>= 0.8),
 libgeoip-dev,
 libglib2.0-dev (>= 2.22),
 libgtk-3-dev,
 libnotify-dev,
 libproxy-dev,
 libunique-dev
Standards-Version: 3.9.8
Homepage: https://code.google.com/p/transmission-remote-gtk/
Vcs-Git: git://benjamin.barenblat.name/debian-transmission-remote-gtk.git
Vcs-Browser: https://benjamin.barenblat.name/gitweb/?p=debian-transmission-remote-gtk.git

Package: transmission-remote-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ interface for the Transmission BitTorrent daemon
 transmission-remote-gtk is a GTK+ interface for controlling the
 Transmission BitTorrent daemon.  It is a full featured client,
 providing the ability to upload, queue, and delete torrent files,
 monitor downloads, and adjust speed limits.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Avoid overlinking and reduce library dependencies.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with autoreconf

.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	dh_autoreconf sh -- autogen.sh

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- --without-libappindicator --disable-silent-rules

## transmission-remote-gtk 1.3.1

=== debian/changelog ===
transmission-remote-gtk (1.3.1-2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:53:27 +0000

transmission-remote-gtk (1.3.1-2) unstable; urgency=medium

  * Correct Vcs-* URLs.

 -- Benjamin Barenblat <bbaren@mit.edu>  Sat, 29 Oct 2016 16:35:46 -0400

transmission-remote-gtk (1.3.1-1) unstable; urgency=medium

  * New upstream release (closes: #827154, #839181).

 -- Benjamin Barenblat <bbaren@mit.edu>  Sun, 23 Oct 2016 13:15:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: transmission-remote-gtk
 Section: net
 Priority: optional
-Maintainer: Benjamin Barenblat <bbaren@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Barenblat <bbaren@mit.edu>
 Build-Depends:
+ appstream-util,
+ autoconf-archive,
  debhelper (>= 9.0.0),
  dh-autoreconf,
- intltool (>= 0.35.0),
- libcurl4-gnutls-dev | libcurl-ssl-dev,
+ intltool (>= 0.50.1),
+ libcurl4-openssl-dev | libcurl-ssl-dev,
+ libgeoip-dev,
+ libglib2.0-dev (>= 2.44),
+ libgtk-3-dev (>= 3.16),
  libjson-glib-dev (>= 0.8),
- libgeoip-dev,
- libglib2.0-dev (>= 2.22),
- libgtk-3-dev,
  libnotify-dev,
  libproxy-dev,
- libunique-dev
+ libunique-dev,
+ perl,
 Standards-Version: 3.9.8
-Homepage: https://code.google.com/p/transmission-remote-gtk/
+Homepage: https://github.com/transmission-remote-gtk/transmission-remote-gtk
 Vcs-Git: git://benjamin.barenblat.name/debian-transmission-remote-gtk.git
 Vcs-Browser: https://benjamin.barenblat.name/gitweb/?p=debian-transmission-remote-gtk.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,9 @@
 
 .PHONY: override_dh_autoreconf
 override_dh_autoreconf:
-	dh_autoreconf sh -- autogen.sh
+	dh_autoreconf /usr/bin/env -- NOCONFIGURE=1 ./autogen.sh
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	dh_auto_configure -- --without-libappindicator --disable-silent-rules
+	dh_auto_configure -- --without-libappindicator --without-libmrss \
+		--disable-debug --disable-silent-rules

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/transmission-remote-gtk-$1\.tar\.gz/ \
  https://github.com/transmission-remote-gtk/transmission-remote-gtk/tags .*/v?(\d\S+)\.tar\.gz

## transmission-remote-gtk 1.4.0

=== debian/changelog ===
transmission-remote-gtk (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Barenblat <bbaren@debian.org>  Fri, 23 Nov 2018 13:11:17 -0500

=== debian/control ===
Source: transmission-remote-gtk
Section: net
Priority: optional
Maintainer: Benjamin Barenblat <bbaren@debian.org>
Build-Depends:
 appstream-util (>= 0.7.2),
 autoconf-archive,
 debhelper (>= 10.0.0),
 gettext (>= 0.19.6),
 libappstream-glib-dev,
 libcurl4-openssl-dev | libcurl-ssl-dev,
 libgeoip-dev,
 libglib2.0-dev (>= 2.44),
 libgtk-3-dev (>= 3.16),
 libjson-glib-dev (>= 0.8),
 libnotify-dev,
 libproxy-dev,
 libunique-dev,
 perl,
Standards-Version: 4.2.1
Homepage: https://github.com/transmission-remote-gtk/transmission-remote-gtk
Vcs-Git: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk.git
Vcs-Browser: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk/

Package: transmission-remote-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ interface for the Transmission BitTorrent daemon
 transmission-remote-gtk is a GTK+ interface for controlling the
 Transmission BitTorrent daemon.  It is a full featured client,
 providing the ability to upload, queue, and delete torrent files,
 monitor downloads, and adjust speed limits.

## transmission-remote-gtk 1.4.1

=== debian/changelog ===
transmission-remote-gtk (1.4.1-5) unstable; urgency=medium

  * Support latest gettext (closes: #978358).

 -- Benjamin Barenblat <bbaren@debian.org>  Mon, 11 Jan 2021 18:10:13 -0500

transmission-remote-gtk (1.4.1-4) unstable; urgency=medium

  * Add torrent hash information to torrent details pane (closes:
    #961767).

 -- Benjamin Barenblat <bbaren@debian.org>  Thu, 06 Aug 2020 16:57:18 -0400

transmission-remote-gtk (1.4.1-3) unstable; urgency=medium

  * Fix building with GCC 10 (closes: #957883).

 -- Benjamin Barenblat <bbaren@debian.org>  Mon, 20 Apr 2020 19:12:53 -0400

transmission-remote-gtk (1.4.1-2) unstable; urgency=medium

  * Delete unused build dependency on libunique-dev (closes: #947516).

 -- Benjamin Barenblat <bbaren@debian.org>  Sat, 28 Dec 2019 11:01:52 -0500

transmission-remote-gtk (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Barenblat <bbaren@debian.org>  Thu, 03 Jan 2019 20:10:57 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  appstream-util (>= 0.7.2),
  autoconf-archive,
- debhelper (>= 10.0.0),
+ debhelper-compat (= 12),
  gettext (>= 0.19.6),
  libappstream-glib-dev,
  libcurl4-openssl-dev | libcurl-ssl-dev,
@@ -15,9 +15,8 @@
  libjson-glib-dev (>= 0.8),
  libnotify-dev,
  libproxy-dev,
- libunique-dev,
  perl,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/transmission-remote-gtk/transmission-remote-gtk
 Vcs-Git: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk.git
 Vcs-Browser: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk/

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,5 @@
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	dh_auto_configure -- --without-libappindicator --without-libmrss \
-		--disable-debug --disable-silent-rules
+		--disable-debug --disable-desktop-database-update \
+		--disable-silent-rules

## transmission-remote-gtk 1.5.1

=== meson_options.txt ===
option('mrss', type: 'feature', value: 'auto', description: 'RSS support')
option('libproxy', type: 'feature', value: 'auto', description: 'HTTP proxy support')
option('geoip', type: 'feature', value: 'auto', description: 'geoip support')
option('libappindicator', type: 'feature', value: 'auto', description: 'libappindicator')
option('nl_langinfo', type: 'feature', value: 'auto', description: 'nl_langinfo() support')

=== debian/changelog ===
transmission-remote-gtk (1.5.1-1) unstable; urgency=medium

  * New upstream release (closes: 1009246).

 -- Benjamin Barenblat <bbaren@debian.org>  Sun, 10 Apr 2022 15:53:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Benjamin Barenblat <bbaren@debian.org>
 Build-Depends:
  appstream-util (>= 0.7.2),
- autoconf-archive,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext (>= 0.19.6),
  libappstream-glib-dev,
  libcurl4-openssl-dev | libcurl-ssl-dev,
@@ -15,8 +14,10 @@
  libjson-glib-dev (>= 0.8),
  libnotify-dev,
  libproxy-dev,
+ meson (>= 0.59.0),
  perl,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/transmission-remote-gtk/transmission-remote-gtk
 Vcs-Git: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk.git
 Vcs-Browser: https://git.benjamin.barenblat.name/debian-transmission-remote-gtk/
@@ -29,4 +30,3 @@
  Transmission BitTorrent daemon.  It is a full featured client,
  providing the ability to upload, queue, and delete torrent files,
  monitor downloads, and adjust speed limits.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- -Dlibappindicator=disabled -Dmrss=disabled

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/transmission-remote-gtk/transmission-remote-gtk/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## transmission-remote-gtk 1.7.0

=== meson_options.txt ===
option('libappindicator', type: 'feature', value: 'auto', description: 'libappindicator')
option('nl_langinfo', type: 'feature', value: 'auto', description: 'nl_langinfo() support')

=== debian/changelog ===
transmission-remote-gtk (1.7.0-2) unstable; urgency=medium

  * Patch to use appstreamcli instead of appstream-util (closes: #1119105)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Feb 2026 12:38:59 +0000

transmission-remote-gtk (1.7.0-1) unstable; urgency=medium

  * Enable libappindicator support using libayatana-appindicator3-dev,
    which is license compatible
  * Simplify uscan support file
  * New upstream release (closes: #1086763)
    - fixes locale file loading bug (closes: #1056593)
    - supports libayatana-appindicator (closes: #1009274)
    - JSON startup errors no longer crash (closes: #835895), but still
      occur, with connect abort popup error windows. Bug #809850 remains.
  * Update dependencies
  * Bump policy version
  * Update patches:
    - context/format
    - remove libayatana-appindicator patch, functionality is now upstream
    - remove avoidRssGlib patch, librss usage is removed upstream
    - remove testing --nonet patch which is now upstreamed
    - add upstream post-release commits as quilt patches
  * Remove unused debian/copyright stanza for extern/rss-glib/*
  * Adopt package
  * Update git maintenance repo URL

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Jan 2026 15:20:38 +0000

transmission-remote-gtk (1.5.1-2) unstable; urgency=medium

  * Orphan package.

 -- Benjamin Barenblat <bbaren@debian.org>  Mon, 19 Jan 2026 18:57:02 -0500

=== debian/control ===
Source: transmission-remote-gtk
Section: net
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gettext (>= 0.19.6),
 libappstream-glib-dev,
 libsoup-3.0-dev (>= 3.0),
 libglib2.0-dev (>= 2.70),
 libgtk-3-dev (>= 3.22),
 libjson-glib-dev (>= 1.2.8),
 libnotify-dev,
 libayatana-appindicator3-dev,
 meson (>= 0.60.0),
 appstream,
 python3-docutils | python-docutils,
 desktop-file-utils,
Standards-Version: 4.7.3
Homepage: https://github.com/transmission-remote-gtk/transmission-remote-gtk
Vcs-Git: https://salsa.debian.org/debian/transmission-remote-gtk.git
Vcs-Browser: https://salsa.debian.org/debian/transmission-remote-gtk

Package: transmission-remote-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ interface for the Transmission BitTorrent daemon
 transmission-remote-gtk is a GTK+ interface for controlling the
 Transmission BitTorrent daemon.  It is a full featured client,
 providing the ability to upload, queue, and delete torrent files,
 monitor downloads, and adjust speed limits.
